//	This file is part of City Growth Limiter Minimal by gnrd
//	Forked from City Growth Limiter v6 by Sylf
//
//	Copyright (C) 2014 Sylf
//	Copyright (C) 2015 gnrd
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License along
//	with this program; if not, write to the Free Software Foundation, Inc.,
//	51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

class CiGrLiMin extends GSInfo {
	function GetAuthor()		{ return "gnrd"; }
	function GetName()			{ return "City Growth Limiter Minimal"; }
	function GetDescription() 	{ return "Cities need a certain level of PAX transport to grow. Forked from City Growth Limiter by Sylf"; }
	function GetVersion()		{ return 1; }
	function GetDate()			{ return "2015-03-17"; }
	function CreateInstance()	{ return "CiGrLiMin"; }
	function GetShortName()		{ return "CGLM"; }
	function GetAPIVersion()	{ return "1.4"; }
	function GetUrl()			{ return "http://www.tt-forums.net/viewtopic.php?f=65&t=58238&p=1145507#p1145507"; }
	function GetSettings() {
		AddSetting({
			name = "min_transport_pax",
			description = "Minimum percentage of PAX transported",
			easy_value = 35,
			medium_value = 50,
			hard_value = 65,
			custom_value = 50,
			flags = CONFIG_NONE,
			min_value = 5,
			max_value = 90,
			step_size = 5});
		AddSetting({
			name = "town_size_threshold",
			description = "Minimum size of town before the limit rules kick in",
			easy_value = 1200,
			medium_value = 1200,
			hard_value = 1200,
			custom_value = 1200,
			flags = CONFIG_NONE,
			min_value = 600,
			max_value = 3000,
			step_size = 100});
		AddSetting({
			name = "allow_crowded_map",
			description = "ADVANCED: Allow crowded map - see readme before modifying",
			easy_value = 0,
			medium_value = 0,
			hard_value = 0,
			custom_value = 0,
			flags = CONFIG_BOOLEAN});
	}
}

RegisterGS(CiGrLiMin());
