//	This file is part of City Growth Limiter Minimal by gnrd
//	Forked from City Growth Limiter v6 by Sylf
//
//	Copyright (C) 2014 Sylf
//	Copyright (C) 2015 gnrd
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License along
//	with this program; if not, write to the Free Software Foundation, Inc.,
//	51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

class Town {
	id = 0;
	last_growth = 0;
	last_message = "";
	paxRequired = GSController.GetSetting("min_transport_pax");
	threashold_setting = GSController.GetSetting("town_size_threshold");

	constructor (t_id) {
		this.id = t_id;
	}

	function ManageTown() {
		// if the size of the town is below the threshold, set the growth rate to normal
		local townPopulation = GSTown.GetPopulation(this.id);
		if (townPopulation <= threashold_setting) {
			this.SetGrowthRate(GSTown.TOWN_GROWTH_NORMAL);
			this.SetText(GSText(GSText.STR_TOO_SMALL));
			return;
		}
		// gm
		local text1 = null;
		local text2 = null;
		local paxTransported = GSTown.GetLastMonthTransportedPercentage(this.id, 0);
		if (paxTransported < 0) paxTransported = 0;
		if (paxTransported < this.paxRequired) {
			this.SetGrowthRate(GSTown.TOWN_GROWTH_NONE);
			text1 = GSText(GSText.STR_PAX_BAD, paxTransported);
		} else {
			this.SetGrowthRate(GSTown.TOWN_GROWTH_NORMAL);
			text1 = GSText(GSText.STR_PAX_GOOD, paxTransported);
		}
		text2 = GSText(GSText.STR_PAX_GOAL, this.paxRequired);
		this.SetText(GSText(GSText.STR_1, text1, text2));
		// all done
		return;
	}

	function SetGrowthRate(value) {
		if (this.last_growth != value) {
			this.last_growth = value;
			GSTown.SetGrowthRate(this.id, value);
		}
	}

	function SetText(value) {
		if (this.last_message != value) {
			this.last_message = value;
			GSTown.SetText(this.id, value);
		}
	}
}
